Bug 1571785 - update heat stack from DVR deployment to L3HA stuck
Summary: update heat stack from DVR deployment to L3HA stuck
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: James Slagle
QA Contact: Eran Kuris
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 12:17 UTC by Eran Kuris
Modified: 2019-09-10 13:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-10 13:36:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Eran Kuris 2018-04-25 12:17:43 UTC
Description of problem:
Updating heat stack from DVR deployment to L3HA failed. 
When we are deploying DVR setup and we want to disable DVR we are running overcloud_deploy update without neutron-ovn-dvr-ha.yaml.
using this overcloud_deploy.sh 
openstack overcloud deploy \
--timeout 100 \
--templates /usr/share/openstack-tripleo-heat-templates \
--stack overcloud \
--libvirt-type kvm \
--ntp-server clock.redhat.com \
-e /home/stack/virt/config_lvm.yaml \
-e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml \
-e /home/stack/virt/network/network-environment.yaml \
-e /home/stack/virt/inject-trust-anchor.yaml \
-e /home/stack/virt/hostnames.yml \
-e /usr/share/openstack-tripleo-heat-templates/environments/services-docker/neutron-ovn-ha.yaml \
-e /home/stack/virt/debug.yaml \
-e /home/stack/virt/config_heat.yaml \
-e /home/stack/virt/nodes_data.yaml \
-e /home/stack/virt/ovn-extras.yaml \
-e /home/stack/virt/docker-images.yaml \
--log-file overcloud_deployment_1.log


In overcloud node we get errors: 
Apr 25 07:48:52 controller-0 pengine[20460]:   error: Could not fix addr for galera-bundle-2
Apr 25 07:48:52 controller-0 pengine[20460]:   error: Could not fix addr for redis-bundle-2
Apr 25 07:48:52 controller-0 pengine[20460]:   error: Could not fix addr for ovn-dbs-bundle-2
Apr 25 07:48:53 controller-0 swift: ERROR with Account server 172.17.4.20:6002/d1 re: Trying to HEAD /v1/.expiring_objects: ConnectionTimeout (0.5s) (txn: txf78131711e0e4dce93ee4-005ae06b24)
Apr 25 07:48:53 controller-0 object-expirer: STDERR: ERROR:root:Timeout connecting to memcached: 172.17.1.18:11211 (txn: txf78131711e0e4dce93ee4-005ae06b24)
Apr 25 07:48:53 controller-0 pengine[20460]:   error: Could not fix addr for rabbitmq-bundle-2
Apr 25 07:48:53 controller-0 pengine[20460]:   error: Could not fix addr for galera-bundle-2
Apr 25 07:48:53 controller-0 pengine[20460]:   error: Could not fix addr for redis-bundle-2
Apr 25 07:48:53 controller-0 pengine[20460]:   error: Could not fix addr for ovn-dbs-bundle-2
Apr 25 07:48:53 controller-0 swift: ERROR with Account server 172.17.4.20:6002/d1 re: Trying to GET /v1/.expiring_objects: ConnectionTimeout (0.5s) (txn: tx89c972a121f642ccbb632-005ae06b25)
Apr 25 07:48:54 controller-0 object-expirer: STDERR: ERROR:root:Timeout connecting to memcached: 172.17.1.18:11211 (txn: tx89c972a121f642ccbb632-005ae06b25)
Apr 25 07:48:54 controller-0 pengine[20460]:   error: Could not fix addr for rabbitmq-bundle-2
Apr 25 07:48:54 controller-0 pengine[20460]:   error: Could not fix addr for galera-bundle-2
Apr 25 07:48:54 controller-0 pengine[20460]:   error: Could not fix addr for redis-bundle-2
Apr 25 07:48:54 controller-0 pengine[20460]:   error: Could not fix addr for ovn-dbs-bundle-2
Apr 25 07:48:55 controller-0 pengine[20460]:   error: Could not fix addr for rabbitmq-bundle-2
Apr 25 07:48:55 controller-0 pengine[20460]:   error: Could not fix addr for galera-bundle-2


compute:

Apr 25 11:56:23 compute-0 kernel: net_ratelimit: 1 callbacks suppressed
Apr 25 11:56:23 compute-0 kernel: IPv4: martian source 172.17.4.20 from 172.17.4.19, on dev vlan40
Apr 25 11:56:23 compute-0 kernel: ll header: 00000000: ff ff ff ff ff ff c2 f4 a1 37 cc 6d 08 06        .........7.m..
Apr 25 11:56:23 compute-0 kernel: IPv4: martian source 172.17.4.20 from 172.17.4.13, on dev vlan40
Apr 25 11:56:23 compute-0 kernel: ll header: 00000000: ff ff ff ff ff ff a2 c7 0c e8 d0 00 08 06        ..............
Apr 25 11:56:24 compute-0 kernel: IPv4: martian source 172.17.4.20 from 172.17.4.19, on dev vlan40
Apr 25 11:56:24 compute-0 kernel: ll header: 00000000: ff ff ff ff ff ff c2 f4 a1 37 cc 6d 08 06        .........7.m..
Apr 25 11:56:24 compute-0 kernel: IPv4: martian source 172.17.4.20 from 172.17.4.13, on dev vlan40
Apr 25 11:56:24 compute-0 kernel: ll header: 00000000: ff ff ff ff ff ff a2 c7 0c e8 d0 00 08 06        ..............
Apr 25 11:56:25 compute-0 kernel: IPv4: martian source 172.17.4.20 from 172.17.4.19, on dev vlan40
Apr 25 11:56:25 compute-0 kernel: ll header: 00000000: ff ff ff ff ff ff c2 f4 a1 37 cc 6d 08 06        .........7.m..
Apr 25 11:56:25 compute-0 kernel: IPv4: martian source 172.17.4.20 from 172.17.4.13, on dev vlan40
Apr 25 11:56:25 compute-0 kernel: ll header: 00000000: ff ff ff ff ff ff a2 c7 0c e8 d0 00 08 06        ..............
Apr 25 11:56:26 compute-0 kernel: IPv4: martian source 172.17.4.20 from 172.17.4.19, on dev vlan40
Apr 25 11:56:26 compute-0 kernel: ll header: 00000000: ff ff ff ff ff ff c2 f4 a1 37 cc 6d 08 06        .........7.m..
Apr 25 11:56:26 compute-0 kernel: IPv4: martian source 172.17.4.20 from 172.17.4.13, on dev vlan40
Apr 25 11:56:26 compute-0 kernel: ll header: 00000000: ff ff ff ff ff ff a2 c7 0c e8 d0 00 08 06        ..............
Apr 25 11:56:27 compute-0 kernel: IPv4: martian source 172.17.4.20 from 172.17.4.19, on dev vlan40
Apr 25 11:56:27 compute-0 kernel: ll header: 00000000: ff ff ff ff ff ff c2 f4 a1 37 cc 6d 08 06        .........7.m..
Apr 25 11:56:27 compute-0 kernel: IPv4: martian source 172.17.4.20 from 172.17.4.13, on dev vlan40
Apr 25 11:56:27 compute-0 kernel: ll header: 00000000: ff ff ff ff ff ff a2 c7 0c e8 d0 00 08 06        ..............


Version-Release number of selected component (if applicable):
osp13 
[stack@undercloud-0 ~]$ rpm -qa | grep triple
ansible-tripleo-ipsec-8.1.1-0.20180308133440.8f5369a.el7ost.noarch
openstack-tripleo-heat-templates-8.0.2-0.20180414062830.5f869f2.el7ost.noarch
puppet-tripleo-8.3.2-0.20180411174307.el7ost.noarch
python-tripleoclient-9.2.0-4.el7ost.noarch
openstack-tripleo-puppet-elements-8.0.0-1.el7ost.noarch
openstack-tripleo-image-elements-8.0.0-3.el7ost.noarch
openstack-tripleo-ui-8.3.1-2.el7ost.noarch
openstack-tripleo-validations-8.4.0-2.el7ost.noarch
openstack-tripleo-common-containers-8.6.1-0.20180410165748.4d8ca16.el7ost.noarch
openstack-tripleo-common-8.6.1-0.20180410165748.4d8ca16.el7ost.noarch
[stack@undercloud-0 ~]$ cat core_puddle_version 
2018-04-19.2

How reproducible:
100%

Steps to Reproduce:
1.deploy osp13 ha ovn with dvr
2.create some items like network router instances ...
3.update heat stack with this overcloud_deploy.sh (^ paste above)

Actual results:
failed

Expected results:
pass

Additional info:


Note You need to log in before you can comment on or make changes to this bug.